struct ccw_driver
Prev | ccw devices | Next

## Name

struct ccw_driver — device driver for channel attached devices

## Synopsis

    struct ccw_driver {
      struct module * owner;
      struct ccw_device_id * ids;
      int (* probe) (struct ccw_device *);
      void (* remove) (struct ccw_device *);
      int (* set_online) (struct ccw_device *);
      int (* set_offline) (struct ccw_device *);
      int (* notify) (struct ccw_device *, int);
      void (* shutdown) (struct ccw_device *);
      struct device_driver driver;
      char * name;
    };

## Members

owner

  owning module

ids

  ids supported by this driver

probe

  function called on probe

remove

  function called on remove

set_online

  called when setting device online

set_offline

  called when setting device offline

notify

  notify driver of device state changes

shutdown

  called at device shutdown

driver

  embedded device driver structure

name

  device driver name

Prev | Up | Next
struct ccw_device | Home | ccw_device_set_offline